Bug 1464941 - Broken deps on F24
Broken deps on F24
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: erlang-rpm-macros (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 05:30 EDT by Xavier Bachelot
Modified: 2017-07-11 21:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-rpm-macros-0.2.5-1.fc24.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 21:50:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2017-06-26 05:30:03 EDT
Hi,

erlang-rpm-macros-0.2.5-1.fc24 has a dependency on python3-rpm which cannot be fulfilled.

$ sudo dnf update erlang-rpm-macros --best
Last metadata expiration check: 0:09:08 ago on Mon Jun 26 11:05:34 2017.
Error: nothing provides python3-rpm needed by erlang-rpm-macros-0.2.5-1.fc24.noarch

On Fedora 24, I guess the proper requires is rpm-python3, unlike F25 and later.
Requiring rpm-python3 would probably work for all of them.

Regards,
Xavier
Comment 1 Fedora Update System 2017-06-27 10:00:05 EDT
erlang-rpm-macros-0.2.5-1.fc24.1 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7f87d47a7
Comment 2 Fedora Update System 2017-06-27 13:21:54 EDT
erlang-rpm-macros-0.2.5-1.fc24.1 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7f87d47a7
Comment 3 Fedora Update System 2017-07-11 21:50:31 EDT
erlang-rpm-macros-0.2.5-1.fc24.1 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.